For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
is_syncbooleanOptionalDefaults to false
Whether to process the request synchronously. If true, Catena will attempt to create or update the resource immediately with the TSP and return the result in the response. When performing synchronous operations, you are responsible for handling any necessary retries in case of transient failures.If false (default), Catena will create an asynchronous operation, and you can check the status of the operation using the returned operation ID.
Request
This endpoint expects an object.
connection_idstringRequiredformat: "uuid"
Unique identifier of the connection at Catena Telematics which will be used to create this resource. A connection represents a Fleet/TSP pairing.
source_workflow_idstring or nullOptional
External system identifier for the workflow.
source_driver_idstring or nullOptional
External system identifier for the driver.
source_vehicle_idstring or nullOptional
External system identifier for the vehicle.
territory_namestring or nullOptional
Name of the territory or region for the workflow.
workflow_statusenum or nullOptional
Workflow status.
Allowed values:
started_atdatetime or nullOptional
Datetime when the workflow started.
ended_atdatetime or nullOptional
Datetime when the workflow ended.
total_distancedouble or nullOptional
Total workflow distance.
total_distance_unitenum or nullOptional
Unit for total_distance.
Allowed values:
instructionsstring or nullOptional
Workflow-level instructions.
stopslist of objects or nullOptional
Workflow stops.
Response
The workflow was created successfully.
partner_idstringformat: "uuid"
The ID of the partner that created the operation.
connection_idstringformat: "uuid"
The ID of the connection
resourceenum
The type of resource to operate on (e.g., vehicle, driver).
operation_typeenum
The type of operation to perform (e.g., create, update).
Allowed values:
payloadmap from strings to any
The payload of the operation, containing the resource attributes to be created or updated.
idstringOptionalformat: "uuid"
Unique identifier for the resource operation.
created_atdatetimeOptional
Immutable: The datetime the record was created in Catena Telematics.
updated_atdatetimeOptional
The datetime the record was last modified in Catena Telematics.
deleted_atdatetime or nullOptional
The datetime the record was logically deleted from Catena Telematics.
resource_idstring or nullOptionalformat: "uuid"
Unique identifier of the record. Can be null for create operations where the source does not exist yet.
source_idstring or nullOptional
The unique identifier of the resource in the source system. Required for update operations.
statusenumOptional
The status of the operation
Allowed values:
logslist of objectsOptional
Log entries for each attempt to execute this operation.